Attribute VB_Name = "basTransparent"
Public Declare Function GetPixel Lib "gdi32" (ByVal hDC As Long, ByVal X As Long, ByVal Y As Long) As Long
Public Declare Function SetWindowRgn Lib "user32" (ByVal hWnd As Long, ByVal hRgn As Long, ByVal bRedraw As Boolean) As Long
Public Declare Function CreateRectRgn Lib "gdi32" (ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long) As Long
Public Declare Function CombineRgn Lib "gdi32" (ByVal hDestRgn As Long, ByVal hSrcRgn1 As Long, ByVal hSrcRgn2 As Long, ByVal nCombineMode As Long) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function ReleaseCapture Lib "user32" () As Long
Public Function MakeRegion(picSkin As Form) As Long
    hDC = picSkin.hDC
    PicWidth = picSkin.ScaleWidth
    PicHeight = picSkin.ScaleHeight
    InFirstRegion = True: InLine = False
        
    Transparent = GetPixel(hDC, 0, 0)
    For Y = 0 To PicHeight - 1
        For X = 0 To PicWidth - 1
        If GetPixel(hDC, X, Y) = Transparent Or X = PicWidth Then
            If InLine Then
            InLine = False
            LineRegion = CreateRectRgn(LineX, Y, X, Y + 1)
                If InFirstRegion Then
                Full = LineRegion
                InFirstRegion = False
                Else
                CombineRgn Full, Full, LineRegion, 2
                End If
            End If
        Else
            If Not InLine Then
            InLine = True
            LineX = X
            End If
        End If
        Next
    Next
    MakeRegion = Full
End Function
